Bug 84415 - logitech wingman rumblepad (usb) undetected
logitech wingman rumblepad (usb) undetected
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
phoebe
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-16 05:06 EST by paolo borelli
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-17 15:01:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paolo borelli 2003-02-16 05:06:00 EST
First, I guess that the joystick package is not the right component for this 
bug report, but I couldn't find against what this shoud be reported... 
 
I tried to plug my usb joypad (Logitch WingMan RumblePad) into my system with 
installed RH Phoebe and it is not detected. 
However this pad works with linux (even if force feedback is not supported) 
and if I manually modprobe joydev the joypad seems to work fine (cat /dev/js0 
prints on screen the usual random characters) 
 
Here it is the result of cat /proc/bus/usb/devices in case it can be useful 
 
T:  Bus=02 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2 
B:  Alloc=  0/900 us ( 0%), #Int=  0, #Iso=  0 
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1 
P:  Vendor=0000 ProdID=0000 Rev= 0.00 
S:  Product=USB UHCI Root Hub 
S:  SerialNumber=b000 
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA 
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub 
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms 
T:  Bus=01 Lev=00 Prnt=00 Port=00 Cnt=00 Dev#=  1 Spd=12  MxCh= 2 
B:  Alloc=118/900 us (13%), #Int=  1, #Iso=  0 
D:  Ver= 1.00 Cls=09(hub  ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1 
P:  Vendor=0000 ProdID=0000 Rev= 0.00 
S:  Product=USB UHCI Root Hub 
S:  SerialNumber=b400 
C:* #Ifs= 1 Cfg#= 1 Atr=40 MxPwr=  0mA 
I:  If#= 0 Alt= 0 #EPs= 1 Cls=09(hub  ) Sub=00 Prot=00 Driver=hub 
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=255ms 
T:  Bus=01 Lev=01 Prnt=01 Port=00 Cnt=01 Dev#=  3 Spd=1.5 MxCh= 0 
D:  Ver= 1.00 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1 
P:  Vendor=046d ProdID=c20a Rev= 1.07 
S:  Manufacturer=Logitech Inc. 
S:  Product=WingMan RumblePad 
C:* #Ifs= 1 Cfg#= 1 Atr=80 MxPwr=500mA 
I:  If#= 0 Alt= 0 #EPs= 2 Cls=03(HID  ) Sub=00 Prot=00 Driver=hid 
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms 
E:  Ad=01(O) Atr=03(Int.) MxPS=   8 Ivl=10ms 
T:  Bus=01 Lev=01 Prnt=01 Port=01 Cnt=02 Dev#=  2 Spd=1.5 MxCh= 0 
D:  Ver= 1.10 Cls=00(>ifc ) Sub=00 Prot=00 MxPS= 8 #Cfgs=  1 
P:  Vendor=046d ProdID=c001 Rev= 4.00 
S:  Manufacturer=Logitech 
S:  Product=USB Mouse 
C:* #Ifs= 1 Cfg#= 1 Atr=a0 MxPwr= 50mA 
I:  If#= 0 Alt= 0 #EPs= 1 Cls=03(HID  ) Sub=01 Prot=02 Driver=hid 
E:  Ad=81(I) Atr=03(Int.) MxPS=   8 Ivl=10ms
Comment 1 Ngo Than 2003-02-16 10:20:36 EST
i thing kudzu is a correct component. i assign to kudzu
Comment 2 Bill Nottingham 2003-02-16 15:42:00 EST
Do you get any kernel messages when you plug the device in?
Comment 3 paolo borelli 2003-02-17 04:04:07 EST
Here it is the output of dmesg right after I plug the joypad into usb. Is this
the info I was requested? If not may you tell me how to get it?


Linux version 2.4.20-2.21 (bhcompile@porky.devel.redhat.com) (gcc version 3.2.1
20021207 (Red Hat Linux 8.0 3.2.1-2)) #1 Wed Jan 15 20:31:35 EST 2003
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000ffec000 (usable)
 BIOS-e820: 000000000ffec000 - 000000000ffef000 (ACPI data)
 BIOS-e820: 000000000ffef000 - 000000000ffff000 (reserved)
 BIOS-e820: 000000000ffff000 - 0000000010000000 (ACPI NVS)
 BIOS-e820: 00000000ffff0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
255MB LOWMEM available.
On node 0 totalpages: 65516
zone(0): 4096 pages.
zone(1): 61420 pages.
zone(2): 0 pages.
Kernel command line: ro root=/dev/hda5 hdc=ide-scsi vga=0x0318
ide_setup: hdc=ide-scsi
Initializing CPU#0
Detected 803.433 MHz processor.
Speakup v-1.00 CVS: Fri Dec 13 20:12:48 EST 2002 : initialized
Console: colour dummy device 80x25
Calibrating delay loop... 1602.35 BogoMIPS
Memory: 252776k/262064k available (1372k kernel code, 6856k reserved, 1043k
data, 168k init, 0k highmem)
Dentry cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode cache hash table entries: 16384 (order: 5, 131072 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 6, 262144 bytes)
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 0383f9ff 00000000 00000000 00000000
CPU:             Common caps: 0383f9ff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 03
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xf0cc0, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Using IRQ router VIA [1106/0686] at 00:04.0
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x0b (Driver version 1.16)
Starting kswapd
VFS: Disk quotas vdquot_6.5.1
vesafb: framebuffer at 0xe8000000, mapped to 0xd080d000, size 65536k
vesafb: mode is 1024x768x24, linelength=3072, pages=27
vesafb: protected mode interface info at c000:5460
vesafb: scrolling: redraw
vesafb: directcolor: size=0:8:8:8, shift=0:16:8:0
Console: switching to colour frame buffer device 128x48
fb0: VESA VGA frame buffer device
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller at PCI slot 00:04.1
VP_IDE: chipset revision 16
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt82c686a (rev 22) IDE UDMA66 controller on pci00:04.1
    ide0: BM-DMA at 0xb800-0xb807, BIOS settings: hda:DMA, hdb:DMA
    ide1: BM-DMA at 0xb808-0xb80f, BIOS settings: hdc:DMA, hdd:DMA
hda: QUANTUM FIREBALLP LM20.5, ATA DISK drive
hdb: QUANTUM FIREBALLP AS20.5, ATA DISK drive
hda: DMA disabled
blk: queue c03ee040, I/O limit 4095Mb (mask 0xffffffff)
hdb: DMA disabled
blk: queue c03ee184, I/O limit 4095Mb (mask 0xffffffff)
hdc: CR-4804TE, ATAPI CD/DVD-ROM drive
hdd: Pioneer DVD-ROM ATAPIModel DVD-115 0122, ATAPI CD/DVD-ROM drive
hdc: DMA disabled
hdd: DMA disabled
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: host protected area => 1
hda: 40132503 sectors (20548 MB) w/1900KiB Cache, CHS=2498/255/63, UDMA(66)
hdb: host protected area => 1
hdb: 40132503 sectors (20548 MB) w/1902KiB Cache, CHS=2498/255/63, UDMA(66)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3 hda4 < hda5 >
 hdb: hdb1 hdb2
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 32768)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 155k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 168k freed
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 20:36:19 Jan 15 2003
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 5 for device 00:04.2
PCI: Sharing IRQ 5 with 00:04.3
usb-uhci.c: USB UHCI at I/O 0xb400, IRQ 5
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Found IRQ 5 for device 00:04.3
PCI: Sharing IRQ 5 with 00:04.2
usb-uhci.c: USB UHCI at I/O 0xb000, IRQ 5
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
ide: no cache flush required.
ide: no cache flush required.
hub.c: new USB device 00:04.2-2, assigned address 2
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
input0: USB HID v1.10 Mouse [Logitech USB Mouse] on usb1:2.0
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
EXT3 FS 2.4-0.9.19, 19 August 2002 on ide0(3,5), internal journal
Adding Swap: 305224k swap-space (priority -1)
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
ide: no cache flush required.
hdd: ATAPI 40X DVD-ROM drive, 512kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.12
SCSI subsystem driver Revision: 1.00
scsi0 : SCSI host adapter emulation for IDE ATAPI devices
  Vendor: MITSUMI   Model: CR-4804TE         Rev: 3.0D
  Type:   CD-ROM                             ANSI SCSI revision: 02
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
parport_pc: Via 686A parallel port: io=0x378
ip_tables: (C) 2000-2002 Netfilter core team
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
parport_pc: Via 686A parallel port: io=0x378
lp0: using parport0 (polling).
lp0: console ready
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 203M
agpgart: Trying generic Via routines for device id: 0605
agpgart: AGP aperture is 128M @ 0xf0000000
[drm] AGP 0.99 on VIA @ 0xf0000000 128MB
[drm] Initialized radeon 1.7.0 20020828 on minor 0
PCI: Found IRQ 11 for device 01:00.0
Attached scsi CD-ROM sr0 at scsi0, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 24x/24x writer cd/rw xa/form2 cdda tray
hub.c: new USB device 00:04.2-1, assigned address 3
usb_control/bulk_msg: timeout
input1: USB HID v1.10 Joystick [Logitech Inc. WingMan RumblePad] on usb1:3.0
ide: no cache flush required.
ide: no cache flush required.
Comment 4 Pete Zaitcev 2003-02-17 10:35:03 EST
So, what makes you think that "it is not detected"?
What did you actually do and what was the result?
Comment 5 paolo borelli 2003-02-17 12:44:35 EST
Well, maybe "not detected" is not the right words, but I thought that
hotplugging this kind of usb device should automagically (kudzu?) load the
proper modules.
I have to manually modprobe joydev, after that cat /dev/js0 works fine.
Comment 6 Pete Zaitcev 2003-02-17 13:19:41 EST
The kudzu does not do anything by itself, it calls mouseconfig (on old OS) or
redhat-config-something (on new OS). The redhat-config-mouse was changed to
add "alias char-major-13-32 mousedev", but I am afraid it just does not do
anything for joydev. I think all you need to do is:
  echo 'alias char-major-13-0 joydev' >> /etc/modules.conf

The suspicious part is that I do not see how it worked before.
There never was a specific support for joysticks, only for mice and
keyboards.

Hotplug only plugs "bottom end" drivers, such as input, hid, etc.
Comment 7 paolo borelli 2003-02-17 14:50:54 EST
Oh I see... in fact it never worked before, I didn't file the bug as a
regression from previous releases. I just hoped that it was a matter of adding
an ID or something like that somewhere.

I hope that in the future the support for joypad can be adressed, but I
understand it is not anywhere near to top priority...
modprobe joydev it's not too bad for me, after all I didn't try to plug this
device to linux in ages and I only did it to test the new phoebe beta.

Sorry to have wasted your precious time, thanks.
Comment 8 Pete Zaitcev 2003-02-17 15:00:07 EST
See also Bug 35215 for the background information.

Note You need to log in before you can comment on or make changes to this bug.